Subject: guix build bootstrap-tarballs installed but strip-install failed

From: Bengt Richter <[email-masked]>
Date: Sun, 29 Sep 2019 00:07:12 -0700

I tried
    guix build bootstrap-tarballs

and it seems to have worked the whole way until then end,
(though I thought I saw warnings about exit and abort being undefined)
leaving the following on the screen:

----8<--------------------------------------------------->8----
PASS: lib/tests/scaffold/a0-math-divide-signed-negative.c
PASS: lib/tests/scaffold/a1-global-no-align.c
PASS: lib/tests/scaffold/a1-global-no-clobber.c
============================================================================
Testsuite summary for GNU Mes
============================================================================
# TOTAL: 191
# PASS:  185
# SKIP:  0
# XFAIL: 6
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
phase `check' succeeded after 384.4 seconds
starting phase `install'
GNUmakefile:159: skipping info: no makeinfo
GNUmakefile:165: skipping man: no help2man
GNUmakefile:192: info: graphvis missing: no images
GNUmakefile:286: update-hash: no guix
/gnu/store/4yyw7brvww6dk9cwwvdq724qdfz2zn0v-bash-minimal-4.4.23/bin/bash install.sh
phase `install' succeeded after 0.1 seconds
starting phase `strip-install'
Backtrace:
           6 (primitive-load "/gnu/store/dk0ywzl09zqcdvln8j7l4sla61h?")
In ice-9/eval.scm:
   191:35  5 (_ _)
In srfi/srfi-1.scm:
   863:16  4 (every1 #<procedure 82648e0 at /gnu/store/qjikgbmjfn61?> ?)
In /gnu/store/qjikgbmjfn618665s8jnn4r3zg5xzf8c-module-import/guix/build/gnu-build-system.scm:
   799:28  3 (_ _)
In ice-9/eval.scm:
    619:8  2 (_ #(#(#(#(#<directory (guile-user) 817e910>) (?)) #) #))
In /gnu/store/qjikgbmjfn618665s8jnn4r3zg5xzf8c-module-import/guix/build/utils.scm:
   340:23  1 (delete-file-recursively "/gnu/store/xjbkz6645qccnvfkm?" ?)
In unknown file:
           0 (lstat "/gnu/store/xjbkz6645qccnvfkmbc4wsvh7lffg2jn-mes?")

ERROR: In procedure lstat:
In procedure lstat: No such file or directory: "/gnu/store/xjbkz6645qccnvfkmbc4wsvh7lffg2jn-mes-minimal-0.20/share/mes/scaffold"
builder for `/gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv' failed with exit code 1
build of /gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv failed
View build log at '/var/log/guix/drvs/w8/y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv.bz2'.
cannot build derivation `/gnu/store/xccfsbs29dhimindp133c172nskyjx72-mes-minimal-stripped-0.20.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/pjrx07gwqlh6di8in8f401jqghwriqx6-mes-minimal-stripped-tarball-0.20.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/fqcvn41c0ja1ml7hl1pbbaadgbm29xyd-bootstrap-tarballs-0.drv': 1 dependencies couldn't be built
guix build: error: build of `/gnu/store/fqcvn41c0ja1ml7hl1pbbaadgbm29xyd-bootstrap-tarballs-0.drv' failed
[21:39 ~/ug/test]$ su -c 'setterm -file guix-build-bootstrap-tarballs.txt -dump 1'
----8<--------------------------------------------------->8----

Looking in /gnu:
----8<--------------------------------------------------->8----
[22:25 ~/ug/test]$ find /gnu -iname '*mes-minimal*' > find-mes-minimal.txt
...
[22:27 ~/ug/test]$ less find-mes-minimal.txt
/gnu/store/xjbkz6645qccnvfkmbc4wsvh7lffg2jn-mes-minimal-0.20.lock
/gnu/store/dk0ywzl09zqcdvln8j7l4sla61h9zwra-mes-minimal-0.20-guile-builder
/gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv
/gnu/store/rpcmp8ip1vwjzbw60ihq686zs7m3wiak-mes-minimal-stripped-0.20-guile-builder
/gnu/store/xccfsbs29dhimindp133c172nskyjx72-mes-minimal-stripped-0.20.drv
/gnu/store/arn6dk33rlwpv20kjc84x0gkmii4hhx6-mes-minimal-stripped-tarball-0.20-guile-builder
/gnu/store/pjrx07gwqlh6di8in8f401jqghwriqx6-mes-minimal-stripped-tarball-0.20.drv
/gnu/store/xjbkz6645qccnvfkmbc4wsvh7lffg2jn-mes-minimal-0.20
----8<--------------------------------------------------->8----

guix describe
----8<--------------------------------------------------->8----
Generation 13	Sep 13 2019 18:20:16	(current)
  guix 6e377b8
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 6e377b88930226f3f74ba9fac74d80c36494d9be
----8<--------------------------------------------------->8----    

----8<--------------------------------------------------->8----    
[23:24 ~/ug/test]$ readlink $(find /gnu -iname '*bootstrap*tarballs-0')/*|xargs file
/gnu/store/ciprl3dvgxnh290jfxwiyybn5g9zm525-binutils-static-stripped-tarball-2.31.1/binutils-static-stripped-2.31.1-x86_64-linux.tar.xz: XZ compressed data
/gnu/store/ylkls2zc2144bi5k2zr73g4zfpkn8w7r-gcc-stripped-tarball-5.5.0/gcc-stripped-5.5.0-x86_64-linux.tar.xz:                           XZ compressed data
/gnu/store/36hi46xywgskl35f3n94m6f5lvalxdwr-glibc-stripped-tarball-2.28/glibc-stripped-2.28-x86_64-linux.tar.xz:                         XZ compressed data
/gnu/store/7wnpikfng5kdg7bnjd49dmmgswlsfd5c-guile-static-stripped-tarball-2.2.4/guile-static-stripped-2.2.4-x86_64-linux.tar.xz:         XZ compressed data
/gnu/store/xy17z7ichfr1gdpw53cqpd3b3zzfzmc7-static-binaries-tarball-0/static-binaries-0-x86_64-linux.tar.xz:                             XZ compressed data
[23:24 ~/ug/test]$
[23:24 ~/ug/test]$ readlink $(find /gnu -iname '*bootstrap*tarballs-0')/*|xargs lsc
~/ug/test:
          1,819,060 1969-12-31 16:00:01 [f] /gnu/store/36hi46xywgskl35f3n94m6f5lvalxdwr-glibc-stripped-tarball-2.28/glibc-stripped-2.28-x86_64-linux.tar.xz
          5,930,448 1969-12-31 16:00:01 [f] /gnu/store/7wnpikfng5kdg7bnjd49dmmgswlsfd5c-guile-static-stripped-tarball-2.2.4/guile-static-stripped-2.2.4-x86_64-l
inux.tar.xz
          2,157,516 1969-12-31 16:00:01 [f] /gnu/store/ciprl3dvgxnh290jfxwiyybn5g9zm525-binutils-static-stripped-tarball-2.31.1/binutils-static-stripped-2.31.1-
x86_64-linux.tar.xz
          6,099,348 1969-12-31 16:00:01 [f] /gnu/store/xy17z7ichfr1gdpw53cqpd3b3zzfzmc7-static-binaries-tarball-0/static-binaries-0-x86_64-linux.tar.xz
         18,737,136 1969-12-31 16:00:01 [f] /gnu/store/ylkls2zc2144bi5k2zr73g4zfpkn8w7r-gcc-stripped-tarball-5.5.0/gcc-stripped-5.5.0-x86_64-linux.tar.xz
----8<--------------------------------------------------->8----    
Looks like the tarballs did wind up in store...

I just happened to be reading info guix and thought I'd try that simple command,
guix build bootstrap-tarballs, not realizing how long it would take :-)

FWIW, the only thing I could find relevant to scaffold was in an ocaml thing:
guix package -s scaffold
----8<--------------------------------------------------->8----
name: ocaml-ppx-compare
version: 0.11.1
outputs: out
systems: x86_64-linux i686-linux armhf-linux aarch64-linux mips64el-linux
dependencies: [email-masked] [email-masked]
+ [email-masked]
location: gnu/packages/ocaml.scm:4076:2
homepage: https://github.com/janestreet/ppx_compare
license: ASL 2.0
synopsis: Generation of comparison functions from types  
description: Generation of fast comparison functions from type expressions and
+ definitions.  Ppx_compare is a ppx rewriter that derives comparison functions
+ from type representations.  The scaffolded functions are usually much faster
+ than ocaml's Pervasives.compare.  Scaffolding functions also gives you more
+ flexibility by allowing you to override them for a specific type and more
+ safety by making sure that you only compare comparable values.
relevance: 4
----8<--------------------------------------------------->8----

HTH in some way.

Regards,
Bengt Richter